<?php
/*******************************************
RealTimeDesigner.Com - API Sample File

SAMPLE CODE TO ADD A NEW REGISTERED USER

This sample shows how to register a new user in your RTD company.
Note that the script will not register the user if:
- the login is already in use
- the login is not composed exclusively of letters and/or digits
- the login is not at least 5 characters long
- the email is already in use
- the email is not at least a 6 characters valid formatted email address
- the password is not at least 5 characters long

Used Actions in this sample:
CreateNewUser

*******************************************/

require("RTD_functions.php");

$params=array();

// Parameters to create a new registered user
$params['action']='CreateNewUser';
$params['login']='johnsmith';
$params['email']='john@smith.net';
$params['password']='password';

// Execute the API operation and parse the resulting XML; see the RTD_Post and RTD_XML_Parser functions.
$data = RTD_Post($params);
$parsed_data = RTD_XML_Parser($data);

// print the resulting array
echo "<pre>\n";
print_r($parsed_data);
echo "</pre><hr>\n";

// check the registering operation result.
// if there were errors, returned user ID will be 0 and ERROR will contain the description of the problem
$user_id=$parsed_data["RTD_REPLY"]["USER_ID"];
$error=$parsed_data["RTD_REPLY"]["ERROR"];

if ($user_id>0) {
	echo "User successfully created<br>\n";
} else {
	echo "ERROR: $error<br>\n";
}
?>