<?php
/*******************************************
RealTimeDesigner.Com - API Sample File

SAMPLE CODE TO EDIT REGISTERED USERS

This sample shows how to change email and/or password of a registered user.
Even if the login name cannot be changed, old_login and old_email are required for security reasons.
If there will be no match of user_id, old_login and old_email, the action will fail.
This action will also not apply any change if:
- the new email is already in use by other users
- the new email is not at least a 6 characters valid formatted email address
- the new password is not empty and not at least 5 characters long

The new password field can be empty: in this case, only the email field will be changed.
If new password will not be ampty and not at least 5 characters long, the action will fail.
To keep the current email, just set the value of the new email to be the same os of the old one.

Used Actions in this sample:
GetUserDetails - EditUserDetails

*******************************************/

require("RTD_functions.php");

$params=array();

// Parameters to request for registered user details
$params['action']='GetUserDetails';
$params['login']='johnsmith';
//$params['email']='john@smith.net';
//$params['user_id']='123';

// Execute the API operation and parse the resulting XML; see the RTD_Post and RTD_XML_Parser functions.
$data = RTD_Post($params);
$parsed_data = RTD_XML_Parser($data);

// print the resulting array
echo "<pre>\n";
print_r($parsed_data);
echo "</pre><hr>\n";

//Split the retrieved ids, there should be only one. 0 is returned if no matches are found
$user_id=$parsed_data["RTD_REPLY"]["USER_ID"];
$user_email=$parsed_data["RTD_REPLY"]["USER_EMAIL"];
$user_login=$parsed_data["RTD_REPLY"]["USER_LOGIN"];

// We have the user ID, now let's edit it
if ($user_id>0) {
	//empty the array
	$params=array();
	
	//Setting parameters
	$params['action']='EditUserDetails';
	$params['user_id']=$user_id;
	$params['old_login']=$user_login;
	$params['old_email']=$user_email;
	$params['new_email']='newjohn@smith.net';
	$params['new_password']='newpassword';
	
	// Execute the API operation and parse the resulting XML; see the RTD_Post and RTD_XML_Parser functions.
	$data = RTD_Post($params);
	$parsed_data = RTD_XML_Parser($data);
	
	// print the resulting array
	echo "<pre>\n";
	print_r($parsed_data);
	echo "</pre><hr>\n";
	
	// check the edit operation result.
	// if there were errors, returned user ID will be 0 and ERROR will contain the description of the problem
	$user_id=$parsed_data["RTD_REPLY"]["USER_ID"];
	$error=$parsed_data["RTD_REPLY"]["ERROR"];
	
	if ($user_id>0) {
		echo "User successfully edited<br>\n";
	} else {
		echo "ERROR: $error<br>\n";
	}
}
?>