<?php
/*******************************************
RealTimeDesigner.Com - API Sample File

SAMPLE CODE TO QUERY ORDERS

This sample shows how to retrieve Order# of your Company sent within a give date range.
Also, this sample will show how to query for all informations about each individual Order#

Used Actions in this sample:
GetOrdersByDate - GetOrderDetails
*******************************************/

require("RTD_functions.php");

$params=array();

// Parameters to request for orders placed over last month
$params['action']='GetOrdersByDate';
$params['date_start']=date("Y-m-d",mktime(0, 0, 0, date("m")-1, date("d"), date("Y")));
$params['date_end']=date("Y-m-d",time());

// Execute the API operation and parse the resulting XML; see the RTD_Post and RTD_XML_Parser functions.
$data = RTD_Post($params);
$parsed_data = RTD_XML_Parser($data);

echo "<b>RTD Orders IDs placed over last month for username $RTD_API_USERNAME</b><br><br>\n";
echo "<pre>\n";
print_r($parsed_data);
echo "</pre><hr>\n";

//Split the retrieved order ids, and query for new ones
echo "<b>Details about each \"NEW\" Order ID placed over last month for username $RTD_API_USERNAME</b><br><br>\n";
$orders_list=explode(',',$parsed_data["RTD_REPLY"]["MATCHING_ORDER_IDS_NEW"]);
foreach ($orders_list as $order_id) {
	if ($order_id>0) {
		//empty the array
		$params=array();
		
		//Setting paramenters
		$params['action']='GetOrderDetails';
		$params['order_id']=$order_id;
		
		// Execute the API operation and parse the resulting XML.
		$data = RTD_Post($params);
		$parsed_data = RTD_XML_Parser($data);
		
		echo "<pre>\n";
		print_r($parsed_data);
		echo "</pre><hr>\n";
	}
}
?>