<?php
/*******************************************
RealTimeDesigner.Com - API Sample File

SAMPLE CODE TO QUERY REGISTERED USERS

This sample shows how to retrieve details about a specific registered user.
Also, this sample will show how to query for all informations about each individual, design, clipart and Order# placed by the user

Used Actions in this sample:
GetUserDetails - GetUserDesigns - GetUserCliparts - GetUserOrders - GetOrderDetails

*******************************************/

require("RTD_functions.php");

$params=array();

// Parameters to request for registered user details
$params['action']='GetUserDetails';
$params['login']='johnsmith';
//$params['email']='john@smith.net';
//$params['user_id']='123';

// Execute the API operation and parse the resulting XML; see the RTD_Post and RTD_XML_Parser functions.
$data = RTD_Post($params);
$parsed_data = RTD_XML_Parser($data);

// print the resulting array
echo "<pre>\n";
print_r($parsed_data);
echo "</pre><hr>\n";

//Split the retrieved ids, there should be only one. 0 is returned if no matches are found
$user_id=$parsed_data["RTD_REPLY"]["USER_ID"];

// Get User's saved designs
if ($user_id>0) {
	//empty the array
	$params=array();
	
	//Setting parameters
	$params['action']='GetUserDesigns';
	$params['user_id']=$user_id;
	
	// Execute the API operation and parse the resulting XML.
	$data = RTD_Post($params);
	$parsed_data = RTD_XML_Parser($data);
	
	echo "SAVED DESIGNS\n";
	echo "<pre>\n";
	print_r($parsed_data);
	echo "</pre><hr>\n";
}

// Get User's saved cliparts
if ($user_id>0) {
	//empty the array
	$params=array();
	
	//Setting parameters
	$params['action']='GetUserCliparts';
	$params['user_id']=$user_id;
	
	// Execute the API operation and parse the resulting XML.
	$data = RTD_Post($params);
	$parsed_data = RTD_XML_Parser($data);
	
	echo "SAVED CLIPARTS\n";
	echo "<pre>\n";
	print_r($parsed_data);
	echo "</pre><hr>\n";
}

// Get User's past orders
if ($user_id>0) {
	//empty the array
	$params=array();
	
	//Setting parameters
	$params['action']='GetUserOrders';
	$params['user_id']=$user_id;
	
	// Execute the API operation and parse the resulting XML.
	$data = RTD_Post($params);
	$parsed_data = RTD_XML_Parser($data);
	
	echo "PAST ORDERS\n";
	echo "<pre>\n";
	print_r($parsed_data);
	echo "</pre><hr>\n";
	
	//Split the retrieved order ids, and query for them
	$orders_list=explode(',',$parsed_data["RTD_REPLY"]["USER_ORDER_IDS"]);
	foreach ($orders_list as $order_id) {
		if ($order_id>0) {
			//empty the array
			$params=array();
			
			//Setting parameters
			$params['action']='GetOrderDetails';
			$params['order_id']=$order_id;
			
			// Execute the API operation and parse the resulting XML.
			$data = RTD_Post($params);
			$parsed_data = RTD_XML_Parser($data);
			
			echo "<pre>\n";
			print_r($parsed_data);
			echo "</pre><hr>\n";
		}
	}
}

?>